from pydantic import PositiveInt
from .UUIDSchema import UUIDSchema
from .TabSchema import TabSchema


class UserSchema(UUIDSchema):
    username: str
    discord_id: str
    has_sub: bool
    expiry: PositiveInt = 1
    tab: TabSchema = TabSchema()